Bug 74651 - no mimetype entries for microsoft office
no mimetype entries for microsoft office
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: redhat-menus (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-29 06:30 EDT by Gerald Teschl
Modified: 2007-04-18 12:46 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-24 02:27:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gerald Teschl 2002-09-29 06:30:41 EDT
Why did you remove the microsoft office mimetypes from the
openoffice entries!?

$ grep MimeType
/usr/lib/openoffice/share/kde/net/applnk/OpenOffice.org/textdoc.desktop
MimeType=application/vnd.sun.xml.writer;application/vnd.stardivision.writer;application/msword;application/vnd.ms-word;application/x-doc;text/rtf
$ grep MimeType /usr/share/applications/redhat-word-processor.desktop
MimeType=application/vnd.stardivision.writer;application/vnd.sun.xml.writer;application/vnd.sun.xml.writer.template

This implies that clicking on a (e.g.) doc file will not open it using oowriter.
Comment 1 Gerald Teschl 2002-12-11 06:03:28 EST
Still broken in openoffice-1.0.1-8
Comment 2 Gerald Teschl 2003-01-24 05:17:38 EST
Just noted that clicking on office docs works in gnome and is only
broken in kde. Please fix the desktop file. Thanks.
Comment 3 Gerald Teschl 2003-04-07 16:24:31 EDT
redhat-word-processor.desktop is fixed, but not:

$ grep MimeType /usr/share/applications/redhat-spreadsheet.desktop
MimeType=application/vnd.stardivision.calc;application/vnd.sun.xml.calc;application/vnd.sun.xml.calc.template
$grep MimeType
/usr/lib/openoffice/share/kde/net/applnk/OpenOffice.org/spreadsheet.desktop
MimeType=application/vnd.sun.xml.calc;application/vnd.stardivision.calc;application/vnd.stardivision.chart;application/msexcel;application/vnd.ms-excel

and
$ grep MimeType /usr/share/applications/redhat-presentations.desktop
MimeType=application/vnd.stardivision.impress;application/vnd.sun.xml.impress;application/vnd.sun.xml.impress.template
$ grep MimeType
/usr/lib/openoffice/share/kde/net/applnk/OpenOffice.org/presentation.desktop
MimeType=application/vnd.sun.xml.impress;application/vnd.stardivision.impress;application/mspowerpoint
Comment 4 Caolan McNamara 2004-10-20 11:11:59 EDT
caolanm->snickell:
These get pulled into the openoffice.org rpm from
/usr/share/desktop-menu-patches/redhat-spreadsheet.desktop and
/usr/share/desktop-menu-patches/redhat-presentations.desktop which are
from redhat-menus
Comment 5 Bryan W Clark 2004-11-09 18:03:10 EST
should be in the latest release, can anyone confirm?
Comment 6 Caolan McNamara 2004-11-10 02:51:00 EST
built as an update-candidate, but not pushed as an update to FC-3 yet.
Comment 7 Bryan W Clark 2005-03-28 13:02:07 EST
Caolan: did this get merged?
Comment 8 Caolan McNamara 2005-03-29 04:22:07 EST
For rawhide it's all ok in the appropiate .desktop files now in use.

Note You need to log in before you can comment on or make changes to this bug.